Index: /trunk/psLib/autogen.sh
===================================================================
--- /trunk/psLib/autogen.sh	(revision 7772)
+++ /trunk/psLib/autogen.sh	(revision 7773)
@@ -84,4 +84,11 @@
 $AUTOCONF || echo "$AUTOCONF failed"
 
+# bypass taps bootstrap.sh
+cd ./test/tap
+$LIBTOOLIZE --copy --force || echo "$LIBTOOlIZE failed"
+$ACLOCAL || echo "$ACLOCAL failed"
+$AUTOHEADER || echo "$AUTOHEADER failed"
+$AUTOMAKE --add-missing --force-missing --copy || echo "$AUTOMAKE failed"
+$AUTOCONF || echo "$AUTOCONF failed"
 cd $ORIGDIR
 
Index: /trunk/psLib/configure.ac
===================================================================
--- /trunk/psLib/configure.ac	(revision 7772)
+++ /trunk/psLib/configure.ac	(revision 7773)
@@ -4,4 +4,7 @@
 AC_CONFIG_SRCDIR([pslib.pc.in])
 AC_CANONICAL_TARGET
+
+dnl this enables the building of libtap
+AC_CONFIG_SUBDIRS([test/tap])
 
 AM_INIT_AUTOMAKE([1.7 foreign dist-bzip2])
Index: /trunk/psLib/test/Makefile.am
===================================================================
--- /trunk/psLib/test/Makefile.am	(revision 7772)
+++ /trunk/psLib/test/Makefile.am	(revision 7773)
@@ -1,3 +1,3 @@
-SUBDIRS = $(SRCDIRS)
+SUBDIRS = tap $(SRCDIRS)
 
 EXTRA_DIST = runTest FullUnitTest
Index: /trunk/psLib/test/mathtypes/Makefile.am
===================================================================
--- /trunk/psLib/test/mathtypes/Makefile.am	(revision 7772)
+++ /trunk/psLib/test/mathtypes/Makefile.am	(revision 7773)
@@ -11,5 +11,6 @@
 	tst_psVectorSort_02 \
 	tst_psVectorSort_03 \
-	tst_psVectorSort_04
+	tst_psVectorSort_04 \
+	tap_psVector
 
 tst_psImage_SOURCES =  tst_psImage.c
@@ -21,9 +22,13 @@
 tst_psVectorSort_04_SOURCES =  tst_psVectorSort_04.c
 
-check_DATA =
+
+tap_psVector_CPPFLAGS 	= $(AM_CPPFLAGS) -I$(top_srcdir)/test/tap/src
+tap_psVector_LDFLAGS 	= $(AM_LDFLAGS) $(top_builddir)/test/tap/src/libtap.la
+
+TESTS_ENVIRONMENT =     $(SHELL)
 
 check_PROGRAMS = $(TESTS)
 
-TESTS_ENVIRONMENT = perl $(top_srcdir)/test/runTest -verified=$(srcdir)/verified
+#TESTS_ENVIRONMENT = perl $(top_srcdir)/test/runTest -verified=$(srcdir)/verified
 
 EXTRA_DIST = verified
